Subject: (Updating "content negotiation" language, issue 81), and TCN RFC 2295 to Proposed?

From: "Larry Masinter" <[email-masked]>
Date: Sat, 9 Jan 2010 09:24:54 -0800

I've taken on updating issue 81 as a W3C TAG action --
there was a request to clarify what the "same information"
might mean.

Along the way, I noted the the message below, and wonder
if there are there enough implementations of Transparent
Content Negotiation [RFC 2295]? I was thinking of
including an informational reference to it in any case.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Jan Algermissen
Sent: Thursday, November 26, 2009 1:09 AM
To: Thomas Broyer
Cc: HTTP Working Group
Subject: Re: Media type for 300/406 responses?

On Nov 26, 2009, at 9:50 AM, Thomas Broyer wrote:

> On Thu, Nov 26, 2009 at 9:32 AM, Jan Algermissen wrote:
>> Hi,
>>
>> I have come across this[1] posting by Roy yesterday regarding the
>> standardization of 300 and 406 response media types.
>>
>> Personal experience suggests that it would be worthwhile to draft  
>> such a
>> media type but before doing so, I have a question regarding the  
>> following
>> quote:
>>
>>  "the response SHOULD include an entity containing
>>  a list of available entity characteristics and
>>  location(s)" [2]
>>
>> So far I can see these entity characteristics:
>>
>> - media type
>> - language
>> - encoding
>>
>> Should I (besides extensibility) consider any other entity  
>> characteristics,
>> e.g of those found in[3]? Length for example?
> [...]
>> [1] http://lists.w3.org/Archives/Public/w3c-dist-auth/1997JulSep/0054.html
>> [2] http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.7
>> [3] http://www.w3.org/Protocols/rfc2616/rfc2616-sec7.html#sec7.1
>
> RFC 2295

Ah, yes. I had been looking at the WebDav specs but forgot to check  
elsewhere. Sorry.

> [4] has the "length" and adds "features" (and extensibility
> so other dimensions could be added in the future).
> It also explicitly deals with the charset (you might have envisioned
> it as part of the media-type, but just to make sure it isn't forgotten
> in the end)
>
> But actually, given the existence of RFC 2295, I wonder if there's a
> need for standardizing a media-type altogether.
> If you still think it's useful, then why not just borrow the
> Alternates header syntax?

Yes, that sound like what I want. 2295 even says:
"Responses from resources which do not support transparent content  
negotiation MAY also use Alternates headers."
So all I have to do is tell my clients to look for Alternate headers  
in 300/406 responses, IIUC.

Thanks!

Jan

>
> [4] http://tools.ietf.org/html/rfc2295
>
>
> -- 
> Thomas Broyer
> /tɔ.ma.bʁwa.je/

--------------------------------------
Jan Algermissen

Mail: [email-masked]
Blog: http://algermissen.blogspot.com/
Home: http://www.jalgermissen.com
--------------------------------------